# NixOS

* There is controversy about flakes, rather use channels (e.g. with niv)

## Build and Switch

Directly change to new config, make it default:

```shell
sudo nixos-rebuild -I nixos-config=yodaTux/configuration.nix switch
```

## Install Home Manager with niv

* https://github.com/nix-community/home-manager/tree/release-23.05#releases

> To avoid breaking users' configurations, Home Manager is released in branches corresponding to NixOS releases (e.g. `release-23.05`).

> Home Manager provides both the channel-based setup and the flake-based one.

Check your channel:

```shell
sudo nix-channel --list
#=> nixos https://nixos.org/channels/nixos-23.05
```

Use the corresponding branch:

```shell
niv add nix-community/home-manager -n home-manager -b release-23.05
```

